--绝行天途
function m043_1()
if	flag.GetValue(6001)==431	then

func_start(0,0,0)

--赋值
local nxh = 1
local nxia = 2
local nlan = 4
local nkm = 11
local nss = 12
local nxhz = 13
local npaohui = 14
local nzhongren = 15
local skm = 16
local tb1 = 17  --魔球炸地
local tb2 = 18  --兰扑灭火
local nxhdz1 = 21
local nxhdz2 = 22
local nxhdz3 = 23
local nxhdz4 = 24
local nxhdz5 = 25
local nxhdz6 = 26
local nxhdz7 = 27
local nxhdz8 = 28

--夏侯
npc.Create(1,1,3541,911)
--瑕
npc.Create(2,2,3457,903)
--兰
npc.Create(4,4,3450,934)
npc.SetAtPos(4,3387,981)
npc.SetHeadRot(nlan,-30,0)
--枯木（兜帽）
npc.Create(51,11,4080,3672)
npc.SetAtPos(11,4018,3569)
--枯木（无帽）
npc.Create(50,12,4065,3213)
npc.SetAtPos(12,4108,2800)
npc.SetVisible(12,0)
--夏侯彰
npc.Create(15,13,4144,2610)
npc.SetVisible(13,0)
--夏侯炮灰弟子
npc.Create(3331,14,4144,2610)
npc.AddRefItem(14,49,6310)
npc.SetVisible(14,0)
--众人
npc.Create(331,15,4144,2610)
npc.SetVisible(15,0)
--枯木（死）
npc.Create(67,16,4065,3213)
npc.SetAtPos(16,4140,2988)
npc.SetVisible(16,0)
--绑特效用
npc.Create(15,17,4093,2995)
npc.SetVisible(17,0)
npc.SetSEVisible(17,1)
--夏侯弟子群（左到右，前到后）
npc.Create(3331,21,4188,2530)
npc.AddRefItem(21,49,6310)
npc.Create(3332,22,4148,2525)
npc.AddRefItem(22,49,6310)
npc.Create(3337,23,4108,2520)
npc.AddRefItem(23,49,6311)
npc.Create(3338,24,4168,2510)
npc.AddRefItem(24,49,6311)
npc.Create(3333,25,4128,2505)
npc.AddRefItem(25,49,6310)
npc.Create(3333,26,4188,2500)
npc.AddRefItem(26,49,6310)
npc.Create(3331,27,4148,2495)
npc.AddRefItem(27,49,6310)
npc.Create(3332,28,4108,2490)
npc.AddRefItem(28,49,6310)

local w1,w2=player.GetWeaponModelID(8)
if w1~=6575 then
player.SetWeapon(2128,8)--强制给予兰并装备罡斩断剑
player.AddEquip(2128,-1,0)--删除原有断剑
end

--夏侯处
camera.ResetLerp(0)
camera.ChangeCameraStatic(3315,620,932,3412,600,945)
camera.ResetLerp(10000)
camera.ChangeCameraStatic(3325,634,950,3418,604,972)
npc.RunTo(nxh,3657,1043)
npc.RunTo(nxia,3616,981)
global.WaitForNpcPos(nxia,3616,981)
npc.MoveTo(nxia,3658,1019)
npc.SetHeadRot(nlan,0,0,1,100)
npc.RunTo(nlan,3513,942)
global.WaitForNpcPos(nlan,3513,942)
npc.SetHeadRot(nxia,0,-20,0,100)
npc.RunTo(nlan,3624,1031)
npc.SetHeadRot(nxh,30,-20,1,80)
global.Wait(0.5)
npc.SetHeadRot(nxh,-30,-20,1,80)
global.Wait(0.5)
npc.SetHeadRot(nxh,0,-20,1,80)
global.WaitForNpcPos(nlan,3624,1031)
--打量四周
camera.ResetLerp(0)
camera.ChangeCameraStatic(3572,563,965,3644,563,1034)
global.Wait(0.5)
ui.Dialog(84964,526,0,nxh,0,0)--（爹……你一定不能有事，二叔已经不在了，我的亲人只有你了！）
camera.ChangeCameraStatic(3454,681,1166,3527,635,1117)
camera.ResetLerp(5000)
camera.ChangeCameraStatic(3478,681,1203,3552,635,1154)
npc.RunTo(nxh,3935,1280)
global.Wait(0.5)
npc.RunTo(nxia,3935,1280)
global.Wait(0.3)
npc.RunTo(nlan,3935,1280)
effect.FadeOut(1,0.7)
global.Wait(3)

--枯木现身
--挪玩家
player.SetPos(3796,3014)
camera.ResetLerp(0)
camera.ChangeCameraStatic(3864,862,3527,3953,822,3550)
effect.FadeIn(1,0.7)
--枯木减速
npc.SetAnimSpeed(nkm,80)
npc.SetSpeed(nkm,0.8)
npc.MoveTo(nkm,4018,3569,1)
--虚弱姿势
npc.SetAnim(11,234)
ui.Dialog(84965,605,0,nkm,0,0)--（这身体……实在无法支撑下去了……）
global.Wait(2)
--枯木正常
npc.SetAnimSpeed(nkm,100)
npc.SetSpeed(nkm,1)
camera.ChangeCameraStaticToNpc(3864,862,3527,nkm)
npc.MoveTo(nkm,4052,3329)
global.Wait(2)
--炮灰跑上来
camera.ChangeCameraStatic(3976,868,2549,4022,841,2635)
npc.SetVisible(14,1)

global.PlaySound(528,90)--弟子跑步 

npc.RunTo(npaohui,4111,2867,1)
npc.SetAnim(npaohui,400)
ui.Dialog(84966,0,0,npaohui,0,0)--魔教妖人？！——站住！
--枯木攻击
camera.ChangeCameraStatic(3970,780,3364,4055,788,3313)
global.WaitForNpcPos(nkm,4052,3329)
npc.SetAnim(nkm,202)
global.Wait(1)
npc.SetAnim(nkm,350)
npc.CreateSE(nkm,2154)
global.WaitForNpcAnim(nkm,350)
npc.SetAnim(nkm,202)
--弟子倒
camera.ChangeCameraStatic(4016,814,2972,4073,799,2891)
npc.CreateSE(npaohui,3929)

global.PlaySound(902,90)--普攻命中 
global.Wait(1.5)
global.PlaySound(1702,90)--惨叫

npc.SetAnim(npaohui,128) 
ui.Dialog_t(84967,0,0,npaohui,0,0,1)--啊——！
global.Wait(2)
npc.SetAnim(nkm,200)
global.Wait(1)
npc.MoveTo(nkm,4065,3213)
global.Wait(0.5)
camera.ChangeCameraStatic(3996,812,3280,4053,785,3203)
global.WaitForNpcPos(nkm,4065,3213)
npc.SetHeadRot(nkm,0,20,1,80)
ui.Dialog(84968,605,0,nkm,0,0)--夏侯家弟子……
global.Wait(2)
npc.SetHeadRot(nkm,0,0,1,100)
global.Wait(1)

global.PlaySound(4013,80)--夏侯家跑近人声 

global.Wait(1)
ui.Dialog(84969,605,0,nkm,0,0)--！
global.Wait(2)
--夏侯家跑上来
--夏侯彰加速
npc.SetVisible(13,1)
npc.SetAnimSpeed(nxhz,130)
npc.SetSpeed(nxhz,1.3)
npc.MoveTo(nxhz,4108,2800)
global.Wait(1)
camera.ChangeCameraStatic(4014,823,2882,4083,787,2820)
camera.ResetLerp(10000)
camera.ChangeCameraStatic(4029,815,2868,4098,779,2806)
global.WaitForNpcPos(nxhz,4108,2800)
--夏侯彰正常
npc.SetAnimSpeed(nxhz,100)
npc.SetSpeed(nxhz,1)
npc.TurnToNpc(nxhz,npaohui,1)
npc.SetAnim(nxhz,220)
npc.SetHeadRot(nxhz,0,15,0,100)
--弟子
npc.RunTo(nxhdz1,4188-36,2530+190)
npc.RunTo(nxhdz2,4148-36,2525+190)
global.Wait(0.3)
npc.RunTo(nxhdz3,4108-36,2520+190)
npc.RunTo(nxhdz4,4168-36,2510+190)
npc.RunTo(nxhdz5,4128-36,2505+190)
global.Wait(0.2)
npc.RunTo(nxhdz6,4188-36,2500+190)
npc.RunTo(nxhdz7,4148-36,2495+190)
global.Wait(0.5)
npc.RunTo(nxhdz8,4108-36,2490+190)
global.WaitForNpcPos(nxhdz1,4188-36,2530+190)
npc.SetAnim(nxhdz1,400)
npc.SetAnim(nxhdz2,400)
global.WaitForNpcPos(nxhdz3,4108-36,2520+190)
npc.SetAnim(nxhdz3,400)
npc.SetAnim(nxhdz4,400)
npc.SetAnim(nxhdz5,400)
global.WaitForNpcPos(nxhdz6,4188-36,2500+190)
npc.SetAnim(nxhdz6,400)
npc.SetAnim(nxhdz7,400)
global.WaitForNpcPos(nxhdz8,4108-36,2490+190)
npc.SetAnim(nxhdz8,400)
camera.ResetLerp(0)
camera.ChangeCameraStatic(4081,786,2825,4141,799,2746)
global.Wait(2)
npc.SetHeadRot(nxhz,0,0,1,100)
npc.TurnToNpc(nxhz,nkm,1)
--夏侯彰备战
npc.AddRefItem(13,49,6382)
npc.SetAnim(13,223)
ui.Dialog(84970,653,2,nxhz,0,0)--魔教妖人，纳命来！

--当前乐淡出
global.MusicFadeOut(5000,100,0)  

camera.ChangeCameraStatic(4021,796,3256,4072,779,3172)
global.Wait(1.5)
ui.Dialog(84971,605,0,nkm,0,0)  --……\n（依我眼下伤势，宜寻隙而动。）
--命弟子上前，暂无动作
camera.ChangeCameraStatic(4074,785,2831,4147,797,2764)
npc.SetAnim(13,224)
global.Wait(0.5)

global.PlaySound(4110,90)--挥剑 

ui.Dialog_t(84972,653,2,nxhz,0,0,2)--杀！
npc.SetAnim(13,223)
camera.ChangeCameraStatic(4037,789,3148,4085,787,3235)
ui.Dialog(84973,605,0,nkm,0,0)--慢着。
camera.ChangeCameraStatic(4088,795,2746,4115,784,2841)
global.Wait(1)
ui.Dialog(84974,657,2,nxhz,0,0)--！这声音——？！
--枯木掀帽子
camera.ChangeCameraStatic(4047,785,3177,4097,803,3262)
camera.ResetLerp(8000)
camera.ChangeCameraStatic(4063,802,3179,4068,774,3274)

--突变 
global.PlayMusic(162,100,5000)
 
npc.SetAnim(11,236)
global.Wait(2)
effect.FadeOut(1,1)
global.Wait(2)
effect.FadeIn(1,1)
npc.SetVisible(11,0)
npc.SetVisible(12,1)
--绑面具
npc.AddRefItem(12,51,6572) 
npc.SetAnim(12,236,2)
global.WaitForCameraLerp()
ui.Dialog(84975,652,0,nxhz,0,0)--！
ui.Dialog(84976,610,0,nss,0,0)--许久不见了，大哥。
npc.RemoveRefItem(12,51)
--弟子交头接耳
camera.ChangeCameraStatic(4098,803,2842,4121,773,2749)
global.Wait(1)

global.PlaySound(4126,80)--杂乱说话 

ui.Dialog(84977,0,0,npaohui,0,0)--二门主？
global.Wait(1)
ui.Dialog(84978,0,0,npaohui,0,0)--怎么会是二门主，他不是已经？
global.Wait(2)
npc.RemoveRefItem(nxhz,49)
--夏侯彰上前
--夏侯彰加速
npc.SetAnimSpeed(nxhz,130)
npc.SetSpeed(nxhz,1.3)
npc.MoveTo(nxhz,4077,3111)
global.Wait(1)
npc.SetPos(nxhdz1,4188-52,2530+438)
npc.SetPos(nxhdz2,4096,2963)
npc.SetPos(nxhdz3,4108-52,2520+438)
npc.SetPos(nxhdz4,4168-52,2510+438)
npc.SetPos(nxhdz5,4128-52,2505+438)
npc.SetPos(nxhdz6,4188-52,2500+438)
npc.SetPos(nxhdz7,4148-52,2495+438)
npc.SetPos(nxhdz8,4108-52,2490+438)
camera.ChangeCameraStatic(4011,791,2987,4059,789,3074)
camera.ResetLerp(8000)
camera.ChangeCameraStatic(4008,790,3006,4056,789,3093)
npc.SetPos(nxhz,4093,2995)
npc.MoveTo(nxhz,4077,3111,1)
--夏侯彰正常
npc.SetAnimSpeed(nxhz,100)
npc.SetSpeed(nxhz,1)
npc.SetAnim(nxhdz1,200)
npc.SetAnim(nxhdz4,200)
npc.SetAnim(nxhdz5,200)
npc.SetAnim(nxhdz6,200)
npc.SetAnim(nxhdz8,200)
ui.Dialog(84979,659,2,nxhz,0,0)--二弟？你还活着？你——
--枯木施法
camera.ResetLerp(0)
camera.ChangeCameraStatic(4036,777,3148,4078,801,3235)
npc.SetAnim(nss,202)
global.Wait(1)
npc.SetAnim(nss,350,1)
npc.SetAnim(nss,202)
--众人身上出现法阵
camera.ChangeCameraStatic(4013,826,3266,4059,795,3182)
npc.CreateSE(nxhz,4352)
npc.CreateSE(nxhdz1,4352)
npc.CreateSE(nxhdz2,4352)
npc.CreateSE(nxhdz3,4352)
npc.CreateSE(nxhdz4,4352)
npc.CreateSE(nxhdz5,4352)
npc.CreateSE(nxhdz6,4352)
npc.CreateSE(nxhdz7,4352)
npc.CreateSE(nxhdz8,4352)

global.PlaySound(1519,90)--法阵 

global.Wait(1)
npc.SetHeadRotTo(nxhdz4,nss)
npc.SetHeadRotTo(nxhdz5,nss)
npc.SetHeadRotTo(nxhdz1,nss)
npc.SetHeadRotTo(nxhdz2,nss)
npc.SetHeadRotTo(nxhdz3,nss)
npc.SetHeadRotTo(nxhdz7,nss)
npc.SetHeadRotTo(nxhdz8,nss)
camera.ResetLerp(10000)
camera.ChangeCameraStatic(4014,812,3270,4063,792,3185)
ui.Dialog(84980,659,0,nxhz,0,0)--唔！
npc.SetAnim(nxhz,217,2)
global.Wait(1)
ui.Dialog(84981,657,0,nxhz,0,0)--二弟，你这是做什么？！
global.Wait(1.5)
ui.Dialog(84982,607,2,nss,0,0)--大哥，现在这种情形下见面，也出乎我意料，不过，你来得正是时候。
ui.Dialog(84983,608,2,nss,0,0)--——你就死在这里吧！
--枯木攻击
camera.ResetLerp(0)
camera.ChangeCameraStatic(4023,781,3156,4096,799,3222)
npc.SetAnim(nss,360)
npc.CreateSE(nss,2586)

global.PlaySound(901,90)--魔球音效 

global.WaitForNpcAnim(nss,360)
npc.SetAnim(nss,202)
--夏侯弟子倒
camera.ChangeCameraStatic(4023,781,3156,4077,785,3072)
npc.TurnToNpc(nxhz,nxhdz2)
npc.StopSE(nxhdz1)
npc.StopSE(nxhdz2)
npc.StopSE(nxhdz3)
npc.StopSE(nxhdz4)
npc.StopSE(nxhdz5)
npc.StopSE(nxhdz6)
npc.StopSE(nxhdz7)
npc.StopSE(nxhdz8)

npc.CreateSE(nxhdz1,3929)
npc.CreateSE(nxhdz2,3932)
npc.CreateSE(nxhdz3,3929)
npc.CreateSE(nxhdz4,3932)
npc.CreateSE(nxhdz5,3929)
npc.CreateSE(nxhdz6,3929)
npc.CreateSE(nxhdz7,3932)
npc.CreateSE(nxhdz8,3929)
global.Wait(1)

global.PlaySound(1702,80)--惨叫 

npc.SetAnim(nxhdz4,128)
npc.SetAnim(nxhdz2,128)
npc.SetAnim(nxhdz7,128)
global.Wait(0.3)

global.PlaySound(1701,80)--惨叫2
global.PlaySound(1702,80)--惨叫  

npc.SetAnim(nxhdz1,128)
npc.SetAnim(nxhdz5,128)
global.Wait(0.3)

global.PlaySound(1701,65)--惨叫2
global.PlaySound(1708,80)--惨叫2

npc.SetAnim(nxhdz6,128)
npc.SetAnim(nxhdz3,128)
npc.SetAnim(nxhdz8,128)
global.Wait(1)
camera.ChangeCameraStatic(3993,843,3272,4046,804,3196)
npc.TurnToNpc(nxhz,nkm,1)
npc.SetAnim(nxhz,226,2)
global.Wait(1)
ui.Dialog_t(84984,657,0,nxhz,0,0,2)--住手！
camera.ChangeCameraStatic(4027,803,3176,4094,788,3248)
camera.ResetLerp(8000)
camera.ChangeCameraStatic(4026,808,3180,4100,788,3245)
global.Wait(1.5)
npc.SetHeadRot(nss,30,0,1,30)
global.Wait(0.3)
npc.SetHeadRot(nss,-30,0,1,40)
global.Wait(0.3)
npc.SetHeadRot(nss,0,0,1,30)
global.Wait(0.3)
global.Wait(1)
ui.Dialog(84985,608,2,nss,0,0)--你也去吧。
global.Wait(1)
--枯木攻击
camera.ResetLerp(0)
camera.ChangeCameraStatic(4022,800,3072,4086,782,3147)
npc.SetAnim(nss,360)
npc.CreateSE(nss,2586)
global.PlaySound(902,90)--普攻命中 
global.Wait(1)

camera.ChangeCameraStatic(4041,811,3149,4095,770,3075)
npc.StopSE(nxhz)
npc.CreateSE(nxhz,3940)

global.Wait(1)
global.PlaySound(562,100)--惨叫

global.WaitForNpcAnim(nss,360)
npc.SetAnim(nss,202)
ui.Dialog(84986,656,0,nxhz,0,0)--二弟你……

--当前乐淡出
global.MusicFadeOut(5000,100,0)  

--夏侯彰倒
npc.SetAnimSpeed(nxhz,50)
npc.SetAnim(nxhz,225)
global.Wait(1)
global.PlaySound(901,90)--魔球音效
camera.ChangeCameraStatic(4064,788,3144,4098,791,3051) 
global.WaitForNpcAnim(nxhz,225)

npc.CreateSE(17,3932)--魔球炸地特效

global.PlaySound(1865,100)--倒地 

effect.FadeOut(1,0.5)
--黑屏一段时间摆尸体
global.Wait(1)
global.PlaySound(902,90)--普攻命中
global.Wait(0.5)
global.PlaySound(901,90)--魔球音效
global.PlaySound(902,90)--普攻命中
global.Wait(5)
--夏侯彰
npc.SetAnimSpeed(nxhz,100) 
npc.SetPos(nxhz,4190,2885)
npc.SetAtPos(nxhz,4165,2978)
npc.SetAnim(13,225)
--夏侯三人挪地
npc.SetPos(nxh,4145,2499)
npc.SetPos(nxia,4165,2488)
npc.SetPos(nlan,4126,2470)
--弟子摆尸体
npc.SetPos(npaohui,3981,2809)
npc.SetAtPos(npaohui,4126,2880)
npc.SetAnim(npaohui,128)
npc.SetPos(nxhdz1,4229,2808)
npc.SetAtPos(nxhdz1,4171,2834)
npc.SetAnim(nxhdz1,128)
npc.StopSE(nxhdz2)
npc.SetPos(nxhdz2,4195,2731)
npc.SetAtPos(nxhdz2,4218,2760)
npc.SetAnim(nxhdz2,128)
npc.SetPos(nxhdz3,4029,2777)
npc.SetAtPos(nxhdz3,4046,2811)
npc.SetAnim(nxhdz3,128)
npc.StopSE(nxhdz4)
npc.SetVisible(nxhdz4,0)
npc.StopSE(nxhdz5)
npc.SetVisible(nxhdz5,0)
npc.SetVisible(nxhdz6,0)
npc.StopSE(nxhdz7)
npc.SetVisible(nxhdz7,0)
npc.SetVisible(nxhdz8,0)
global.Wait(3)
--枯木沉思
npc.SetPos(nss,4084,3087)
camera.ChangeCameraStatic(3979,862,2990,4068,816,2984)
effect.FadeIn(1,0.5)
camera.ResetLerp(15000)
camera.ChangeCameraStatic(4016,843,2986,4102,797,2963)
npc.MoveTo(nss,4154,2981,1)
npc.SetHeadRot(nss,0,20,1,30)
global.Wait(2.5)
ui.Dialog(84987,608,0,nss,0,0)--……\n呵……二十年……
global.Wait(2)
npc.SetAnim(12,234)
ui.Dialog(84988,609,0,nss,0,0)--唔——！
--喘息
global.Wait(1)

camera.ResetLerp(0)
camera.ChangeCameraStatic(4139,802,2932,4183,773,3017)
global.Wait(1)
ui.Dialog(84989,609,0,nss,0,0)--要尽快……拿到那具身体……

global.PlaySound(528,90)--跑步声 

global.Wait(1)
npc.SetHeadRot(nss,20,0,1,80)
global.Wait(2)
npc.MoveTo(nss,4040,3187)
camera.ResetLerp(0)
camera.ChangeCameraStatic(3973,801,3217,4040,777,3147)
camera.ResetLerp(10000)
camera.ChangeCameraStatic(3881,905,3320,3927,858,3245)
global.Wait(1)
global.WaitForNpcPos(nss,4040,3187)
--夏侯三人上来
npc.RunTo(nxh,4120,2698)
global.Wait(0.3)
npc.RunTo(nxia,4165-25,2488+199)
global.Wait(0.3)
npc.RunTo(nlan,4126-25,2470+209)
global.WaitForNpcPos(nxh,4120,2698)
npc.SetHeadRot(nxh,25,10,1,100)
npc.TurnToPos(nxia,4162,2699,1)
global.Wait(0.5)
npc.SetHeadRot(nxia,25,10,1,100)
global.Wait(0.3)
npc.SetHeadRotTo(nxh,nxhz,1,90)
ui.Dialog(84990,523,2,nxh,0,0)--！！……
global.Wait(1)

--战斗 
global.PlayMusic(117,100,5000)

camera.ResetLerp(0)
camera.ChangeCameraStatic(4047,795,2614,4108,772,2689)
npc.SetHeadRot(nxh,0,30,0,100)
npc.MoveTo(nxh,4134,2741,1)
npc.SetHeadRotTo(nxia,nxh,1,100)
global.Wait(0.3)
npc.SetHeadRotTo(nlan,nxh,1,100)
npc.RunTo(nxh,4170,2886)
global.Wait(0.3)
npc.SetHeadRot(nxia,0,10,0,100)
npc.SetHeadRot(nlan,0,10,0,100)
npc.TurnToNpc(nxia,nxhz)
npc.TurnToNpc(nlan,nxhz,1)
npc.SetAnim(2,208,2)
global.WaitForNpcPos(nxh,4170,2886)
--跪下
camera.ChangeCameraStatic(4116,803,2985,4156,772,2899)
npc.SetAnimSpeed(nxh,130)
npc.SetAnim(nxh,235,1)
npc.SetAnim(nxh,244)
npc.SetAnimSpeed(nxh,100)
ui.Dialog(84991,528,2,nxh,0,0)--爹！！！
npc.SetHeadRot(nss,0,20,0,80)
ui.Dialog(84992,608,0,nss,0,0)--……
npc.SetAnim(nxia,243,2)
global.Wait(1)
ui.Dialog(84993,199,0,nxia,0,0)--天啊！
--夏侯特写
npc.RunTo(nxia,4155,2778)
global.Wait(0.2)
npc.MoveTo(nlan,4118,2750)
global.Wait(0.5)
camera.ChangeCameraStatic(4104,802,2855,4179,763,2907)
camera.ResetLerp(15000)
camera.ChangeCameraStatic(4115,785,2883,4208,757,2904)
global.Wait(0.5)
ui.Dialog(84994,528,2,nxh,0,0)--爹……怎么、怎么会！
ui.Dialog(84995,529,2,nxh,0,0)--爹？爹！爹！
npc.SetHeadRot(nxh,-20,30,1,30)
global.Wait(0.3)
npc.SetHeadRot(nxh,20,30,1,40)
global.Wait(0.3)
npc.SetHeadRot(nxh,0,30,1,50)
ui.Dialog(84996,534,2,nxh,0,0)--不可能……不可能的……
global.Wait(0.5)
ui.Dialog(84997,606,0,nss,0,0)--你们终于到了。
npc.SetHeadRotTo(nlan,nss,0,100)
npc.SetHeadRotTo(nxia,nss,0,100)
npc.SetHeadRot(nxh,-20,-10,1,70)
--模拟慢镜头
camera.ResetLerp(0)
camera.ChangeCameraStatic(4038,784,3148,4046,803,3245)
global.SetMotionSpeed(20)
npc.SetHeadRot(nss,0,0,1,100)
npc.TurnToNpc(nss,nxh,1)
global.Wait(0.3)
global.SetMotionSpeed(100)
global.Wait(1.5)
--看枯木
camera.ChangeCameraStatic(4146,777,2926,4168,773,2829)
ui.Dialog(84998,164,0,nlan,0,0)--这张脸……
ui.Dialog(84999,185,0,nxia,0,0)--二门主？！
global.Wait(1)
ui.Dialog(85000,523,0,nxh,0,0)--……二……叔……？
camera.ChangeCameraStatic(3974,794,3213,4046,774,3147)
camera.ResetLerp(15000)
camera.ChangeCameraStatic(3991,794,3227,4051,778,3148)
ui.Dialog(85001,523,0,nxh,0,0)--您不是已经……为什么会在这里……\n二叔，是谁杀了爹？！
global.Wait(1)
ui.Dialog(85002,610,2,nss,0,0)--……呵呵，自然是我啊。
global.Wait(2)
ui.Dialog(85003,530,0,nxh,0,0)--！！不……不，这不可能的……
--兰上前
npc.SetHeadRot(nlan,0,0,1,100)
camera.ResetLerp(0)
camera.ChangeCameraStatic(4082,823,2659,4110,799,2752)
npc.MoveTo(nlan,4105,2831,1)
ui.Dialog(85004,165,2,nlan,0,0)--这身装扮……你就是——雇佣我的那个人！！！
ui.Dialog(85005,185,0,nxia,0,0)--？！
ui.Dialog(85006,165,2,nlan,0,0)--你是谁？为什么假装成二门主的样子？！你到底想干什么？！
camera.ChangeCameraStatic(4034,788,3138,4057,790,3236)
npc.SetHeadRotTo(nss,nlan,1,100)
ui.Dialog(85007,610,0,nss,0,0)--无用的好奇心。而且……\n假装？暮姑娘，你这么说真是失礼啊。
ui.Dialog(85008,606,0,nss,0,0)--夏侯韬早在二十余年前就已经死了。你们所认识的“二叔”，一直就是我啊。
camera.ChangeCameraStatic(4103,818,2975,4132,782,2887)
npc.SetHeadRot(nxh,-20,0,0,100)
npc.SetAnim(1,200)
ui.Dialog(85009,0,0,nzhongren,0,0)--！
npc.SetHeadRot(nxh,0,0,0,100)
npc.TurnToNpc(nxh,nss,1)
ui.Dialog(85010,529,2,nxh,0,0)--二叔早就死了！？说什么鬼话！你到底是什么人？！
camera.ChangeCameraStatic(4037,780,3139,4055,794,3236)
npc.SetHeadRotTo(nss,nxh,1,100)
npc.SetAnim(nss,219,2)
global.Wait(1)
ui.Dialog(85011,610,0,nss,0,0)--人？\n呵，人不过是六界中最渺小的种族，弹指间就消失无踪，我怎会是这等卑微的存在？
camera.ChangeCameraStatic(4120,809,2690,4137,785,2786)
npc.SetAnim(nxia,208,2)
global.Wait(1.5)
ui.Dialog(85012,199,2,nxia,0,0)--你是……妖魔？！以法术操控这具身体？
ui.Dialog(85013,606,0,nss,0,0)--正是。\n若不是我，这具身体早已归于尘土，你们该感谢我才对。
npc.SetAnim(nxh,207,2)
global.Wait(1)
ui.Dialog(85014,537,2,nxh,0,0)--这不可能……这……不可能……
npc.SetAnim(4,210,2)
global.Wait(1)
ui.Dialog(85015,165,2,nlan,0,0)--别被他的话欺骗了，他只不过是化作你二叔的样子而已！
camera.ChangeCameraStatic(3970,795,3227,4041,779,3159)
ui.Dialog(85016,610,0,nss,0,0)--呵呵，我与瑾轩相处十六载，是真是假，瑾轩心中定有判断。
npc.SetHeadRot(nxh,0,25,1,50)
ui.Dialog(85017,537,2,nxh,0,0)--……
npc.SetHeadRot(nxia,0,30,1,60)
global.Wait(1)
camera.ChangeCameraStatic(4089,797,2866,4125,770,2777)
--兰抽剑，罡斩武器

global.PlaySound(4110,80)--抽剑 

npc.AddRefItem(nlan,49,6575)

global.Wait(1)
npc.SetHeadRot(nlan,-20,30,1,60)
global.Wait(1)
npc.SetAnim(nlan,234)
global.Wait(0.5)
ui.Dialog(85018,176,0,nlan,0,0)--……
global.Wait(1)
npc.SetHeadRot(nlan,0,0,0,100)
npc.SetAnim(nlan,101)
ui.Dialog(85019,165,0,nlan,0,0)--我的问题，你不肯回答吗？哼，也罢！
camera.ResetLerp(6000)
camera.ChangeCameraStatic(4077,805,2893,4113,778,2804)
npc.MoveTo(nlan,4092,2922)
global.Wait(0.3)
npc.SetHeadRot(nxia,-20,0,1,100)
global.WaitForNpcPos(nlan,4092,2922)
npc.SetHeadRotTo(nxia,nlan,1,100)
camera.ResetLerp(0)
camera.ChangeCameraStatic(4065,793,2949,4137,783,2880)
npc.SetAnim(nlan,228)
ui.Dialog(85020,181,0,nlan,0,0)--不管你是什么，今天我都要杀了你，为他们报仇！
camera.ChangeCameraStatic(4176,790,2821,4148,778,2916)
ui.Dialog(85021,610,2,nss,0,0)--……
ui.Dialog(85022,516,0,nxh,0,0)--……等等。
npc.SetHeadRot(nlan,30,0,0,100)
npc.SetHeadRotTo(nxia,nxh,1,100)
global.Wait(0.5)
camera.ChangeCameraStaticToNpc(4176,790,2821,1)
npc.SetHeadRot(1,0,0,0,100)
camera.ResetLerp(3000)
camera.ChangeCameraStatic(4176,790,2821,4137,777,2912)
npc.MoveTo(nxh,4139,2956,1)
camera.ResetLerp(0)
camera.ChangeCameraStatic(3998,785,3221,4058,788,3141)
camera.ResetLerp(25000)
camera.ChangeCameraStatic(3969,815,3238,4030,787,3165)
ui.Dialog(85023,525,0,nxh,0,0)--你……到底是谁？
npc.SetHeadRot(nxia,0,0,0,100)
npc.MoveTo(nxia,4126,2886)
ui.Dialog(85024,606,2,nss,0,0)--净天教八部尊者、枯木。
ui.Dialog(85025,530,0,nxh,0,0)--不要嘲弄我，你的真实身份到底是什么？你至今的所作所为，究竟有何目的？！
npc.SetAnim(nss,212,2)
global.Wait(1.5)
ui.Dialog(85026,606,2,nss,0,0)--问这些有用吗？
npc.SetAnim(1,242,2)
global.Wait(1)
ui.Dialog(85027,529,0,nxh,0,0)--回答我！！
global.Wait(0.5)
ui.Dialog(85028,606,2,nss,0,0)--若我不愿回答，你要对我兵刃相向吗，瑾轩？
global.Wait(2)
npc.SetAnim(nxh,218)
ui.Dialog(85029,530,0,nxh,0,0)--……
ui.Dialog(85030,610,2,nss,0,0)--呵呵……我养你十几年，深知你的个性软弱，不喜争强。\n看看我，你真能下得去手吗？
ui.Dialog(85031,525,0,nxh,0,0)--……
camera.ResetLerp(0)
camera.ChangeCameraStatic(4076,794,2832,4109,778,2925)
npc.SetAnim(nxia,224,2)
global.Wait(1)
ui.Dialog(85032,200,0,nxia,0,0)--卑鄙小人！
npc.SetHeadRotTo(nss,nxia,1,100)
ui.Dialog(85033,610,2,nss,0,0)--呵呵，谋大事者，若是拘泥于所谓正义公理，如何成事？
npc.SetAnim(nxia,245)
ui.Dialog(85034,200,0,nxia,0,0)--你——你——不管怎么说你毕竟和瑾轩相处了十几年，瑾轩跟你这么好，伤害他你很高兴吗？！
camera.ChangeCameraStatic(4017,814,3132,4052,773,3216)
camera.ResetLerp(10000)
camera.ChangeCameraStatic(4024,806,3149,4059,765,3233)
global.Wait(2)
npc.SetHeadRot(nss,0,0,1,40)
ui.Dialog(85035,608,2,nss,0,0)--……\n我和你们已经说得太多。不过无妨，你们都是将死之人。
--瑕抽武器，夏侯拦阻
camera.ResetLerp(0)
camera.ChangeCameraStatic(4054,783,2833,4117,779,2911)
ui.Dialog(85036,193,0,nxia,0,0)--你——！

global.PlaySound(4110,80)--抽剑 

x,y=player.GetWeaponModelID(2)
npc.AddRefItem(nxia,49,x)
npc.AddRefItem(nxia,50,y)
npc.SetAnim(nxia,101)
global.Wait(1)
npc.SetHeadRot(nxh,0,0,0,100)
npc.TurnToNpc(nxh,nxia,1)
npc.SetAnim(nxh,207,1)
npc.SetAnim(nxh,200)
npc.SetHeadRotTo(nxia,nxh,1,100)
npc.SetHeadRotTo(nlan,nxh,1,100)
ui.Dialog(85037,196,0,nxia,0,0)--瑾轩？
camera.ResetLerp(8000)
camera.ChangeCameraStatic(4032,801,2803,4106,785,2868)
npc.MoveTo(nxh,4170,2886,1)
npc.TurnToNpc(nxh,nxhz,1)
npc.SetAnim(nxh,235)
global.Wait(1)
effect.FadeOut(1,1)
global.Wait(1.5)
--挪地
npc.SetPos(nxhz,4276,2975)
--暂代弟子
npc.SetPos(nxhdz4,4276,2975)
npc.SetPos(nxh,4252,2951)
npc.SetAtPos(nxh,4309,2948)
npc.SetHeadRot(nxh,0,0,1,100)
npc.SetAtPos(nxia,4252,2951)
npc.SetHeadRot(nxia,0,0,1,100)
npc.SetAnim(nxia,200)
npc.SetAtPos(nlan,4252,2951)
npc.SetHeadRot(nlan,0,0,1,100)
npc.SetAnim(nlan,200)
npc.SetAtPos(nss,4252,2951)
----杀武器
--npc.RemoveRefItem(nxia,49)
--npc.RemoveRefItem(nxia,50)
--npc.RemoveRefItem(nlan,49)
global.Wait(2)
effect.FadeIn(1,1)
--夏侯上前备战
camera.ResetLerp(0)
camera.ChangeCameraStaticToNpc(3949,833,2815,nxh)
npc.SetAnim(nxh,236,1)
npc.TurnToNpc(nxh,nss,1)
global.Wait(1)
npc.MoveTo(nxh,4171,3006,1)
npc.TurnToNpc(nxh,nss,1)
npc.TurnToNpc(nlan,nss)
npc.TurnToNpc(nxia,nss,1)

camera.ChangeCameraStatic(4088,802,2824,4113,780,2919)
camera.ResetLerp(10000)
camera.ChangeCameraStatic(4093,798,2843,4122,775,2936)
global.Wait(1)
ui.Dialog(85038,525,0,nxh,0,0)--我不知道你究竟是谁，也不知道你在谋划什么。
ui.Dialog(85039,525,0,nxh,0,0)--但联系这数天来的变故，可知你把夏侯家、蜀山、净天教还有其他门派都当成你手中的棋子，为了你想要达到的目的而动。

--当前乐淡出
global.MusicFadeOut(5000,100,0)  

npc.MoveTo(nxia,4134,2943,1)
npc.TurnToNpc(nxia,nss)
camera.ResetLerp(0)
camera.ChangeCameraStatic(4007,820,3260,4054,786,3178)
npc.SetAnim(nss,223,2)
ui.Dialog(85040,607,2,nss,0,0)--……你的聪明，作为人类，实在有些浪费。
global.Wait(1)
--夏侯招武器
camera.ResetLerp(0)
camera.ChangeCameraStatic(4134,802,3046,4200,775,2976)
camera.ResetLerp(12000)
camera.ChangeCameraStatic(4142,796,3028,4221,775,2970)
global.Wait(1)
npc.SetAnim(1,207,1)
npc.SetAnim(1,200)
npc.SetHeadRot(1,20,30,1,30)
ui.Dialog(85041,535,0,nxh,0,0)--而我，竟还请你去查探幕后黑手之事……
global.Wait(1.5)
npc.SetHeadRot(1,0,0,1,40)
global.Wait(1.5)

--愤怒 
global.PlayMusic(161,100,5000)

a=player.GetWeaponModelID(1)
npc.SetAnim(nxh,101)
npc.AddRefItem(nxh,49,a)
global.Wait(1)
ui.Dialog(85042,516,0,nxh,0,0)--你说得对，若是以前，我绝对无法与你兵刃相见。
npc.SetAnim(nss,202)
ui.Dialog(85043,529,0,nxh,0,0)--可如今，我心中的二叔已经死在蜀山，死于你的阴谋之下！我爹也为了讨伐净天教死于魔教尊者枯木之手！！而你——就是杀死他们的凶手！

player.AddMagic(3037)
ui.Message(170707)--夏侯瑾轩习得被动绝技：恨
flag.SetValue(33038,2)--标记学会恨


--出招
camera.ChangeCameraStatic(4170,791,2963,4161,783,3062)
npc.SetAnim(nxh,151)
npc.CreateSE(nxh,3928)
global.WaitForNpcAnim(nxh,151)

global.PlaySound(550,80)--攻击 

npc.SetAnim(nxh,101)
--照枯木
camera.ChangeCameraStatic(3955,798,3221,4032,797,3158)
global.Wait(0.25)
npc.SetAnim(nss,370,1)
npc.CreateSE(nss,31)
npc.CreateSE(nss,4751)

global.PlaySound(580,80)--挨打 
npc.SetAnim(nss,371,1)
npc.SetAnim(nss,202)

global.Wait(3)
--队友
camera.ChangeCameraStatic(4054,789,3076,4116,787,2997)
camera.ResetLerp(3000)
camera.ChangeCameraStatic(4054,779,3076,4116,787,2997)
----兰抽剑，罡斩武器暂代
--npc.AddRefItem(nlan,49,6077)
----瑕抽武器
--x,y=player.GetWeaponModelID(2)
--npc.AddRefItem(nxia,49,x)
--npc.AddRefItem(nxia,50,y)
npc.SetAnim(nxia,101)
npc.SetAnim(nlan,101)
global.WaitForCameraLerp()
--照枯木
camera.ChangeCameraStatic(4046,780,3095,4049,790,3195)
camera.ResetLerp(5000)
camera.ChangeCameraStatic(4076,782,3125,4025,796,3209)
global.WaitForCameraLerp()
--杀武器
npc.RemoveRefItem(nxia,49)
npc.RemoveRefItem(nxia,50)
npc.RemoveRefItem(nxh,49)
npc.RemoveRefItem(nlan,49)

func_end(3796,3014,1,1)

battle.Begin(2031,511) 

end

end 